Submit signed documents

POST
/v1/sign/{token}/signings

Authorization

apiKey
headerApi-Key<token>

Partner API key.

Path Parameters

token*string

Token-gated path parameter issued in the partner-API kybUrl when the case enters the signing stage. Invalidated once the case advances out of the signing stage.

Length1 <= length

Request Body

application/json
  1. body
signingIds*array<string>

IDs of the signings the merchant has just completed. Must be a non-empty subset of the IDs returned by GET /sign/:token/required-signings.

Items1 <= items

Response Body

All required documents signed. The case has advanced and the token is invalidated.

application/json
  1. response
allSigned*boolean

true when every required signing has been completed and the case has advanced out of the signing stage (200). false when more signatures are still required (202).

curl -X POST 'https://api.merchant.pay.walletconnect.com/v1/sign/sig_tkn_8f4a3b6e2c1d4f5a9b8c7d6e5f4a3b2c/signings' \  -H 'Content-Type: application/json' \  -d '{  "signingIds": [    "sig_01HXYZK3J7QV2P4N8R9M5T6W7B"  ]}'
{  "allSigned": true}